package ui

// Focusable is a component that can have focus
type Focusable interface {
	SetFocus(value bool)
	Focus()
	Unfocus()
	HasFocus() bool
}

// ReceivesInput is a component that can receive user input.
type ReceivesInput interface {
	HandleInput()
}
